# Settlement Accounts

These endpoints provide authorized access to an authenticated user's settlement account information, enabling you to create settlement accounts, retrieve settlement account details, transactions and payouts, and manage settlement rules.

## Create a settlement account

 - [POST /virtual-accounts](https://docs.token.io/products/tpp/api/reference/settlement-accounts/gatewayservice.createvirtualaccount.md): The POST /virtual-accounts endpoint creates a settlement account.

## Get settlement accounts

 - [GET /virtual-accounts](https://docs.token.io/products/tpp/api/reference/settlement-accounts/gatewayservice.getvirtualaccounts.md): The GET /virtual-accounts endpoint retrieves information for all settlement accounts.

## Get a settlement account

 - [GET /virtual-accounts/{accountId}](https://docs.token.io/products/tpp/api/reference/settlement-accounts/gatewayservice.getvirtualaccountbyid.md): The GET /virtual-accounts/{accountId} endpoint the information, for a given settlement account.

## Get settlement account transactions

 - [GET /virtual-accounts/{accountId}/transactions](https://docs.token.io/products/tpp/api/reference/settlement-accounts/gatewayservice.getvirtualaccounttransactions.md): The GET /virtual-accounts/{accountId}/transactions endpoint retrieves transcation information in a given settlement account.

## Get a settlement account transaction

 - [GET /virtual-accounts/{accountId}/transactions/{providerPaymentId}](https://docs.token.io/products/tpp/api/reference/settlement-accounts/gatewayservice.getvirtualaccounttransaction.md): The GET /virtual-accounts/{accountId}/transactions/{providerPaymentId} endpoint retrieves information for a specific transaction in a given settlement account.

## Create a settlement rule

 - [POST /virtual-accounts/{accountId}/settlement-rule](https://docs.token.io/products/tpp/api/reference/settlement-accounts/gatewayservice.createvirtualaccountsettlementrule.md): The POST /virtual-accounts/{accountId}/settlement-rule endpoint creates a settlement rule, for a given settlement account.

## Get settlement rules

 - [GET /virtual-accounts/{accountId}/settlement-rules](https://docs.token.io/products/tpp/api/reference/settlement-accounts/gatewayservice.getvirtualaccountsettlementrules.md): The GET /virtual-accounts/{accountId}/settlement-rules endpoint retrieves information about settlement rules, for a given settlement account, according to the settlement rule status in the request. If no status is provided, the endpoint retrieves all settlement rules for the settlement account.

## Get a settlement rule

 - [GET /virtual-accounts/{accountId}/settlement-rules/{settlementRuleId}](https://docs.token.io/products/tpp/api/reference/settlement-accounts/gatewayservice.getvirtualaccountsettlementrule.md): The GET /virtual-accounts/{accountId}/settlement-rules/{settlementRuleId} endpoint retrieves information for a specific settlement rule, for a given settlement account.

## Delete a settlement rule

 - [DELETE /virtual-accounts/{accountId}/settlement-rules/{settlementRuleId}](https://docs.token.io/products/tpp/api/reference/settlement-accounts/gatewayservice.deletevirtualaccountsettlementrule.md): The  DELETE /virtual-accounts/{accountId}/settlement-rules/{settlementRuleId} endpoint delete an active settlement rule, for a given settlement account.

## Get settlement account payouts

 - [GET /virtual-accounts/{accountId}/settlement-rule-payouts](https://docs.token.io/products/tpp/api/reference/settlement-accounts/gatewayservice.getvirtualaccountsettlementpayouts.md): The GET /virtual-accounts/{accountId}/settlement-rule-payouts endpoint retrieves information about payouts created by a settlement rule, for a given settlement account.

